import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import 'element-plus/lib/locale/lang/zh-cn'
import zhCn from 'element-plus/dist/locale/zh-cn.mjs'

//引入封装Axios请求
import Axios from '@/utils/axios';

const app = createApp(App)

app.use(store).use(router).use(Axios).use(ElementPlus, {
    locale: zhCn
}).mount('#app')

